
Foreman - Feature #23479

Enhance OpenStack Virtual Machine Support

05/02/2018 12:04 PM - Ben Plessinger

Status: Closed   

Priority: Normal   

Assignee: Ben Plessinger   

Category: Compute resources - OpenStack   

Target version:    

Difficulty: easy Fixed in Releases: 1.18.0

Triaged: No Found in Releases: 1.17.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5519,

https://github.com/theforeman/foreman/p

ull/5819

  

Description

Currently the OpenStack VM creation does not support:

Multiple security group selection

Defaulted Availability Zone if only 1

Associated revisions

Revision 6085426b - 07/10/2018 04:14 PM - Ben Plessinger 

Fixes #23479 - Enhance OpenStack VM Creation

Fixes #23479 - Enhance OpenStack VM Creation

Fixes #23479 - check property exists before access

History

#1 - 05/02/2018 12:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5519 added

#2 - 07/10/2018 05:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6085426bf4710c320e051f7688b637e8281a8500.

#3 - 07/11/2018 08:53 AM - Marek Hulán

- Triaged set to No

- Fixed in Releases 1.18.0 added

#4 - 07/11/2018 08:57 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5819 added
